const mongoose = require('mongoose');
require('dotenv').config();

mongoose.connect(process.env.MONGO_URI)
.then(() => {
    console.log('Connected to the Database');
})
.catch(() => {
    console.log("Error connecting to the Database");
});

const LoginSchema = new mongoose.Schema({
    name:{
        type: String,
        required: true
    },
    password:{
        type: String,
        required: true
    },
    balance:{
        type: Number,
        default: 100
    }
});

const collection = new mongoose.model('users', LoginSchema);

module.exports = collection;


